{
  "custom": {},
  "params": {
    "enabled": true,
    "placeholder": "",
    "target_message_handler": null,
    "val": ""
  },
  "propConfig": {
    "params.enabled": {
      "paramDirection": "input",
      "persistent": true
    },
    "params.placeholder": {
      "paramDirection": "input",
      "persistent": true
    },
    "params.target_message_handler": {
      "paramDirection": "input",
      "persistent": true
    },
    "params.val": {
      "onChange": {
        "enabled": null,
        "script": "\tval \u003d currentValue.value\n\tif val:\n\t\tif self.params.target_message_handler:\n\t\t\tsystem.perspective.sendMessage(\n\t\t\t\tself.params.target_message_handler,\n\t\t\t\t{\u0027value\u0027: val},\n\t\t\t\tscope\u003d\u0027session\u0027\n\t\t\t)\n"
      },
      "paramDirection": "input",
      "persistent": true
    }
  },
  "props": {
    "defaultSize": {
      "height": 32,
      "width": 200
    }
  },
  "root": {
    "children": [
      {
        "meta": {
          "name": "Field Number"
        },
        "position": {
          "basis": "172px",
          "grow": 1,
          "shrink": 0
        },
        "propConfig": {
          "props.enabled": {
            "binding": {
              "config": {
                "path": "view.params.enabled"
              },
              "type": "property"
            }
          },
          "props.placeholder": {
            "binding": {
              "config": {
                "path": "view.params.placeholder"
              },
              "type": "property"
            }
          },
          "props.text": {
            "binding": {
              "config": {
                "path": "view.params.val"
              },
              "overlayOptOut": true,
              "type": "property"
            }
          }
        },
        "props": {
          "style": {
            "margin": "2px",
            "marginRight": "26px"
          }
        },
        "type": "ia.input.text-field"
      }
    ],
    "meta": {
      "name": "root"
    },
    "props": {
      "justify": "center"
    },
    "type": "ia.container.flex"
  }
}